# Generate onboarding widget URL

> `POST https://api.kustom.co/accountmanagement/v1/merchants/{merchantId}/widget-url-request`

Generates a URL for the Kustom onboarding widget that the merchant can use to complete their KYC process.

## Parameters

- `merchantId` (string, path, required) — The unique Kustom merchant identifier.
- `language` (string, query) — Language code for the widget (e.g. `en-GB`, `sv-SE`).

## Responses

### 200

Widget URL successfully generated.

`application/json`

- `widget_url` (string, required) — The URL for the Kustom onboarding widget.

```json
{
  "widget_url": "<string>"
}
```

### 401

Unauthorized — missing or invalid access token.

### 404

Merchant not found.
